## libccaudio2 2.1.3

=== CMakeLists.txt ===
# Copyright (C) 2009 David Sugar, Tycho Softworks
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

cmake_minimum_required(VERSION 2.6)
PROJECT(ccaudio2)
set (VERSION 2.1.3)

set(RC_VERSION ${VERSION})
STRING(REGEX REPLACE "[.]" "," RC_VERSION ${RC_VERSION})
set(RC_VERSION "${RC_VERSION},0")

if(UNIX)
    execute_process(WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} COMMAND "./cmake-abi.sh" OUTPUT_VARIABLE LIB_VERSION)
else()
    set(LIB_VERSION ${VERSION})
endif()

set(SOVERSION ${LIB_VERSION})
STRING(REGEX REPLACE "[.].*$" "" SOVERSION ${SOVERSION})

INCLUDE(CheckIncludeFiles)
INCLUDE(CheckLibraryExists)


if(WIN32)
    set(INSTALL_MANDIR man)
    set(INSTALL_DOCDIR doc)
    set(INSTALL_LOCALE locale)
    set(INSTALL_LIBDIR bin)
    set(INSTALL_INFODIR info)
    set(INSTALL_INCLUDEDIR include)
    set(INSTALL_BINDIR bin)
    set(INSTALL_DATADIR share)
    set(SYSCONFDIR "etc" CACHE PATH "config directory")
    set(STATEDIR "var" CACHE PATH "state directory")
else()
    set(SYSCONFDIR "/etc" CACHE PATH "config directory")
    set(STATEDIR "/var" CACHE PATH "state directory")
endif()

if(NOT INSTALL_BINDIR)
    set(INSTALL_BINDIR bin)
endif()

if(NOT INSTALL_INCLUDEDIR)
    set(INSTALL_INCLUDEDIR include)
endif()

if(NOT INSTALL_MANDIR)
    set(INSTALL_MANDIR share/man)
endif()

if(NOT INSTALL_LOCALE)
    set(INSTALL_LOCALE share/locale)
endif()

if(NOT INSTALL_DOCDIR)
    set(INSTALL_DOCDIR share/doc/${PROJECT_NAME})
endif()

if(NOT INSTALL_INFODIR)
    set(INSTALL_INFODIR share/info)
endif()

if(NOT INSTALL_LIBDIR)
    set(INSTALL_LIBDIR lib${LIB_SUFFIX})
endif()

if(NOT INSTALL_DATADIR)
    set(INSTALL_DATADIR data)
endif()

if(WIN32)
    set(DEFAULT_CFGPATH "${CMAKE_INSTALL_PREFIX}/${SYSCONFDIR}")
    set(DEFAULT_STATEDIR "${CMAKE_INSTALL_PREFIX}/${STATEDIR}")
else()
    set(DEFAULT_CFGPATH ${SYSCONFDIR})
    set(DEFAULT_STATEDIR ${STATEDIR})
endif()

set(INSTALL_PHRASES ${INSTALL_DATADIR}/ccaudio2)
set(DEFAULT_PHRASES ${CMAKE_INSTALL_PREFIX}/${INSTALL_PHRASES})
set(DEFAULT_LIBPATH ${CMAKE_INSTALL_PREFIX}/${INSTALL_LIBDIR})

if(MSVC60)
    MARK_AS_ADVANCED(BUILD_RUNTIME)
else()
    option(BUILD_RUNTIME "Set to OFF to build static runtime" ON)
endif()

MESSAGE( STATUS "Configuring GNU ccaudio2 ${VERSION}...")

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "${PROJECT_NAME} library")
SET(CPACK_PACKAGE_VENDOR              "David Sugar")
SET(CPACK_PACKAGE_DESCRIPTION_FILE    "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE       "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(PACKAGE_FILE_NAME                 ${PROJECT_NAME})
set(PACKAGE_FILE_VERSION              ${VERSION})

IF (WIN32)
    SET(CPACK_PACKAGE_FILE_NAME "${PACKAGE_FILE_NAME}-${PACKAGE_FILE_VERSION}")
ELSE (WIN32)
    SET(CPACK_PACKAGE_FILE_NAME "${PACKAGE_FILE_NAME}-bin-${PACKAGE_FILE_VERSION}")
    if (NOT CPACK_GENERATOR)
        SET(CPACK_GENERATOR "TBZ2")
    endif()
ENDIF (WIN32)

IF(WIN32 AND NOT UNIX)
    SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_PACKAGE_FILE_NAME}")

    # There is a bug in NSI that does not handle full unix paths properly. Make
    # sure there is at least one set of four (4) backlasshes.
    # SET(CPACK_PACKAGE_ICON "${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
    # SET(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
    SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} ${PROJECT_NAME}$")
    SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\www.gnutelephony.org")
    SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.gnutelephony.org")
    SET(CPACK_NSIS_CONTACT "dyfet@gnutelephony.org")
    SET(CPACK_NSIS_MODIFY_PATH ON)

ENDIF(WIN32 AND NOT UNIX)

set(CPACK_COMPONENTS_ALL libraries headers)
set(CPACK_COMPONENT_LIBRARIES_DISPLAY_NAME "Libraries")
set(CPACK_COMPONENT_HEADERS_DISPLAY_NAME   "C++ Headers")
set(CPACK_COMPONENT_LIBRARIES_DESCRIPTION  "Dynamic library")
set(CPACK_COMPONENT_HEADERS_DESCRIPTION
    "Header files needed to build applications using ucommon library")
SET(CPACK_SOURCE_IGNORE_FILES ".bzr" "build" ".swp$" ".*~" ".svn" ".git")
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE_FILE_NAME}-${PACKAGE_FILE_VERSION}")

# This must always be last!
INCLUDE(CPack)

# set to true for debug and trace during CMakeLists development
set(CMAKE_VERBOSE_MAKEFILE FALSE)

# Set defaults and pass common options.  Common build options can be passed
# to cmake using cmake -DWITH_CFLAGS="...", WITH_LIBS, and WITH_INCLUDES
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/inc ${WITH_INCLUDES})
add_definitions(${WITH_CFLAGS})
link_libraries(${WITH_LIBS})

if (USES_UCOMMON_INCLUDE_DIRS)
    message(STATUS "  Using local ucommon dependency")
else()
    find_package(PkgConfig)
    pkg_check_modules(USES_UCOMMON REQUIRED ucommon>=4.1.0)
endif()

include_directories(${USES_UCOMMON_INCLUDE_DIRS})
link_directories(${USES_UCOMMON_LIBRARY_DIRS})
add_definitions(${USES_UCOMMON_CFLAGS})

# by default we build static libs for windows, shared libs for unix.
# we may also set this from a top level cmake or -DWITH_XX_LIBS

if(BUILD_RUNTIME)
    set(BUILD_RUNTIME_TYPE SHARED)
else()
    set(BUILD_RUNTIME_TYPE STATIC)
endif()

check_include_files(sys/soundcard.h HAVE_SYS_SOUNDCARD_H)
check_include_files(speex/speex.h HAVE_SPEEX_SPEEX_H)
check_include_files(gsm.h HAVE_GSM_H)
check_include_files(gsm/gsm.h HAVE_GSM_GSM_H)
check_include_files(endian.h HAVE_ENDIAN_H)

check_library_exists(ossaudio _oss_ioctl "" OSSAUDIO_LIB)
if(OSSAUDIO_LIB)
    set(AUDIO_LIBS ossaudio)
endif()

check_include_files(CoreAudio/CoreAudio.h OSX_AUDIO)
if(OSX_AUDIO)
    set(AUDIO_LIBS "-framework CoreAudio")
endif()

if(WIN32)
    set(AUDIO_LIBS winmm msacm32)
endif()

check_library_exists(m sqrt "" MATH_LIB)
if(MATH_LIB)
    set(MATH_LIB m)
endif()

if(NOT HAVE_SPEEX_SPEEX_H AND EXISTS ${CMAKE_BINARY_DIR}/Frameworks/Speex)
    include_directories(${CMAKE_BINARY_DIR}/Frameworks/Speex/include)
    link_directories(${CMAKE_BINARY_DIR}/Frameworks/Speex/lib)
    set(HAVE_SPEEX_SPEEX_H 1)
endif()

if(HAVE_SPEEX_SPEEX_H)
    set(AUDIO_LIBS ${AUDIO_LIBS} speex)
endif()

if(HAVE_GSM_H OR HAVE_GSM_GSM_H)
    set(AUDIO_LIBS ${AUDIO_LIBS} gsm)
endif()

configure_file(ccaudio2-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/ccaudio2-config.h)

file(GLOB ccaudio_src src/*.cpp)
file(GLOB ccaudio_man1 utils/*.1)
file(GLOB ccaudio_conf utils/*.conf)

set(ccaudio_inc inc/ccaudio2.h)
add_library(ccaudio2 ${BUILD_RUNTIME_TYPE} ${ccaudio_src} ${ccaudio_inc})
set_target_properties(ccaudio2 PROPERTIES VERSION ${LIB_VERSION} SOVERSION ${SOVERSION})
add_dependencies(ccaudio2 ucommon)
target_link_libraries(ccaudio2 ${USES_UCOMMON_LIBRARIES} ${AUDIO_LIBS} ${WITH_MATH_LIB} ${MATH_LIB})

add_executable(ccaudio-tonetool utils/tonetool.cpp)
add_dependencies(ccaudio-tonetool ccaudio2 ucommon)
set_target_properties(ccaudio-tonetool PROPERTIES OUTPUT_NAME tonetool)
target_link_libraries(ccaudio-tonetool ccaudio2 ucommon ${USES_UCOMMON_LIBRARIES})

add_executable(ccaudio-audiotool utils/audiotool.cpp)
add_dependencies(ccaudio-audiotool ccaudio2 ucommon)
set_target_properties(ccaudio-audiotool PROPERTIES OUTPUT_NAME audiotool)
target_link_libraries(ccaudio-audiotool ccaudio2 ucommon ${USES_UCOMMON_LIBRARIES})

if(UNIX)
    foreach(flag ${USES_UCOMMON_CFLAGS})
        set(PACKAGE_FLAGS "${PACKAGE_FLAGS} ${flag}")
    endforeach()
    foreach(lib ${USES_UCOMMON_LIBRARIES})
        STRING(REGEX REPLACE "^[-]l" "" slib ${lib})
        set(PACKAGE_LIBS "${PACKAGE_LIBS} -l${slib}")
    endforeach()

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ccaudio2.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/ccaudio2.pc)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ccaudio2.pc DESTINATION ${INSTALL_LIBDIR}/pkgconfig)
endif()

install(FILES ${ccaudio_conf} DESTINATION ${SYSCONFDIR})
install(FILES ${ccaudio_man1} DESTINATION ${INSTALL_MANDIR}/man1)
install(FILES inc/ccaudio2.h DESTINATION ${INSTALL_INCLUDEDIR})
install(TARGETS ccaudio2 DESTINATION ${INSTALL_LIBDIR})
install(TARGETS ccaudio-tonetool ccaudio-audiotool DESTINATION ${INSTALL_BINDIR})

## libccaudio2 2.0.5

=== debian/changelog ===
libccaudio2 (2.0.5-3) unstable; urgency=low

  * wheezey polish - lintian clean
  * Update to Standards Version 3.9.3 - no changes
  * libccaudio2-dev enhance Description:
  * Add hyphen-used-as-minus-sign.patch
  * Update to debian/compat 9 - hardening & multiarch

 -- Mark Purcell <msp@debian.org>  Sat, 23 Jun 2012 12:42:46 +1000

libccaudio2 (2.0.5-2) unstable; urgency=low

  * Upload to unstable - coordinated through debian-release

 -- Mark Purcell <msp@debian.org>  Wed, 16 May 2012 07:17:50 +1000

libccaudio2 (2.0.5-1) experimental; urgency=low

  * New upstream release
    - NEW libccaudio2 - soname bump 
  * Add Build-Depends libucommon-dev
  * libccaudio2-dev Depends: s/libcommoncpp2-dev/libucommon-dev/
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh
  * Drop libccaudio-doc - documentation support dropped upstream
  * Update Standards Version 3.9.2
  * debian/copyright update GPL-2 - copyright-refers-to-symlink-license

 -- Mark Purcell <msp@debian.org>  Sat, 08 Oct 2011 16:36:54 +1100

libccaudio2 (1.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621634).

 -- Luk Claes <luk@debian.org>  Wed, 22 Jun 2011 19:34:36 +0200

libccaudio2 (1.0.0-2) unstable; urgency=low

  * Upload to unstable - libcommoncpp2 tranistion
  * debian/compat => 7

 -- Mark Purcell <msp@debian.org>  Mon, 23 Feb 2009 23:46:04 +1100

libccaudio2 (1.0.0-1) experimental; urgency=low

  * New upstream release
    - NEW libccaudio2-1.0-0 - fixes package-name-doesnt-match-sonames
  * Add ${misc:Depends} -  debhelper-but-no-misc-depends
  * Hide doxygen errors - libccaudio2-doc.lintian-overrides
  * Add Depends: pkg-config

 -- Mark Purcell <msp@debian.org>  Tue, 30 Dec 2008 08:59:04 +1100

libccaudio2 (0.9.14-2) unstable; urgency=low

  * Update debian/copyright lintian: copyright-without-copyright-notice
  * Upgrade to Standards-Version: 3.8.0 - no changes necessary

 -- Mark Purcell <msp@debian.org>  Fri, 05 Sep 2008 23:11:02 +1000

libccaudio2 (0.9.14-1) unstable; urgency=low

  * New upstream release

  [ Kilian Krause ]
  * Add ${binary:Version} for binNMU-safe uploads.
    Add dpkg-dev (>= 1.13.19) to Build-Depends.

  [ Mark Purcell ]
  * Cleanup get-orig-source VARS
  * Add ${shlibs:Depends} missing-dependency-on-libc

 -- Mark Purcell <msp@debian.org>  Mon, 24 Mar 2008 22:05:37 +1100

libccaudio2 (0.9.12-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri,  1 Dec 2006 22:45:07 +0000

libccaudio2 (0.9.10-2) unstable; urgency=low

  * Delete usr/share/man/man3/ost.3.gz again
    - Fixes: libccaudio2-doc conflicts with libcommoncpp2-doc (Closes: #399216)

 -- Mark Purcell <msp@debian.org>  Fri,  1 Dec 2006 21:07:37 +0000

libccaudio2 (0.9.10-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 28 Aug 2006 21:40:33 +0100

libccaudio2 (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri, 28 Jul 2006 21:35:58 +0100

libccaudio2 (0.9.7-1) unstable; urgency=low

  * New upstream release
  * Switch to cdbs (Closes: Bug#368615)
  * Add Build-Depends: cdbs, dpatch
  * Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>

 -- Mark Purcell <msp@debian.org>  Thu,  8 Jun 2006 20:27:53 +0100

libccaudio2 (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun,  7 May 2006 20:26:50 +0100

libccaudio2 (0.9.0-2) unstable; urgency=low

  * Move audiotool & tonetool to -dev package, allowing smooth soname
    migration

 -- Mark Purcell <msp@debian.org>  Mon, 17 Apr 2006 14:31:46 +0100

libccaudio2 (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Don't install man pages ost.3 conflicts
  * Fix package-name-doesnt-match-sonames libccaudio2-0.9-0

 -- Mark Purcell <msp@debian.org>  Mon, 17 Apr 2006 14:12:50 +0100

libccaudio2 (0.8.0-2) unstable; urgency=low

  * make install info
  * Build-Depends: doxygen
  * debian/control add libccaudio2-doc package Architecture: all
  * dh_makeshlibs -L libccaudio2-0.8-0

 -- Mark Purcell <msp@debian.org>  Wed,  5 Apr 2006 22:41:03 +0100

libccaudio2 (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Bump soname. Fixes package-name-doesnt-match-sonames libccaudio2-
    0.8-0
  * patch speex/speex.c to emable speex build
  * Add Build-Depends: libspeex-dev

 -- Mark Purcell <msp@debian.org>  Tue, 14 Mar 2006 18:40:50 +0000

libccaudio2 (0.7.11-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 21 Jan 2006 11:49:20 +0000

libccaudio2 (0.7.10-1) unstable; urgency=low

  * New upstream release
  * Add Depends: libcommoncpp2-dev
  * fix old-fsf-address-in-copyright-file

 -- Mark Purcell <msp@debian.org>  Mon,  5 Sep 2005 07:38:31 +0100

libccaudio2 (0.7.6-1) unstable; urgency=low

  * Initial release Closes: #318987

 -- Mark Purcell <msp@debian.org>  Tue, 19 Jul 2005 12:43:14 +1000

=== debian/control ===
Source: libccaudio2
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libgsm1-dev, libspeex-dev, doxygen, dpkg-dev (>= 1.13.19), libucommon-dev
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/ccaudio/
Vcs-Svn: svn://svn.debian.org/pkg-voip/libccaudio2/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libccaudio2/?op=log

Package: libccaudio2-dev
Section: libdevel
Suggests: libccaudio2-doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libccaudio2 (= ${binary:Version}), libucommon-dev, pkg-config
Description: header files and static link library for GNU ccAudio
 The GNU ccAudio package offers a highly portable C++ class framework for
 developing applications which manipulate audio streams and various
 disk based audio file formats.  At the moment ccaudio is primarly a class
 framework for handling .au, .wav (RIFF), and various .raw audio encoding
 formats under Posix and win32 systems, though it may expand to become a
 general purpose audio and soundcard support library.  Support for
 controlling CD audio devices has recently been added as well as support
 for codecs and other generic audio processing services.
 .
 This package provides the header files and documentation for building
 applications that use GNU ccAudio.

Package: libccaudio2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: GNU ccAudio2 - a C++ class framework for processing audio files
 The GNU ccAudio package offers a highly portable C++ class framework for
 developing applications which manipulate audio streams and various
 disk based audio file formats.  At the moment ccaudio is primarly a class
 framework for handling .au, .wav (RIFF), and various .raw audio encoding
 formats under Posix and win32 systems, though it may expand to become a
 general purpose audio and soundcard support library.  Support for
 controlling CD audio devices has recently been added as well as support
 for codecs and other generic audio processing services.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-speex

## libccaudio2 2.1.1

=== debian/changelog ===
libccaudio2 (2.1.1-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.
  * Build-depend on pkg-config to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 Jan 2014 15:45:50 -0500

libccaudio2 (2.1.1-1build1) trusty; urgency=low

  * Rebuild against libucommon6.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Oct 2013 15:04:36 +0100

libccaudio2 (2.1.1-1) unstable; urgency=low

  * New upstream release 
    - Fixes "FTBFS: friends.cpp:1189:25: error:" (Closes: #707373)
  * NEW package libccaudio2-2 - match soname
  * Update Vcs: fixes vcs-field-not-canonical vcs-field-bitrotted
  * Update Standards-Version -> 3.9.4

 -- Mark Purcell <msp@debian.org>  Sat, 12 Oct 2013 15:36:34 +1100

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-speex

## libccaudio2 2.1.3

=== debian/changelog ===
libccaudio2 (2.1.3-1.1build2) wily; urgency=medium

  * No-change rebuild against libucommon7v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Aug 2015 20:39:00 +0000

libccaudio2 (2.1.3-1.1build1) wily; urgency=medium

  * No change rebuild for new ucommon soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Jul 2015 16:50:25 +0200

libccaudio2 (2.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix pass --with-pkg-config to configure, to avoid FTBFS with recent
    libucommon-dev.
    Closes: bug#784233. Thanks to Jonathan Wiltshire.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 May 2015 14:52:41 +0200

libccaudio2 (2.1.3-1) unstable; urgency=low

  * New upstream release 
  
  [ Logan Rosen ]
  * Use dh-autoreconf to get new libtool macros for ppc64el.
    - Fixes "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4" (Closes: #727397)
  * Build-depend on pkg-config to fix FTBFS.

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jun 2014 22:28:43 +1000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: libccaudio2
 Section: libs
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, libgsm1-dev, libspeex-dev, doxygen, dpkg-dev (>= 1.13.19), libucommon-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf, libgsm1-dev, libspeex-dev, doxygen, dpkg-dev (>= 1.13.19), libucommon-dev, pkg-config
+Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/ccaudio/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/libccaudio2/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libccaudio2/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libccaudio2/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libccaudio2/
 
 Package: libccaudio2-dev
 Section: libdevel
-Suggests: libccaudio2-doc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libccaudio2 (= ${binary:Version}), libucommon-dev, pkg-config
+Depends: ${shlibs:Depends}, ${misc:Depends}, libccaudio2-2 (= ${binary:Version}), libucommon-dev, pkg-config
 Description: header files and static link library for GNU ccAudio
  The GNU ccAudio package offers a highly portable C++ class framework for
  developing applications which manipulate audio streams and various
@@ -27,7 +27,7 @@
  This package provides the header files and documentation for building
  applications that use GNU ccAudio.
 
-Package: libccaudio2
+Package: libccaudio2-2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-speex --with-pkg-config

=== debian/watch ===
version=3
http://ftp.gnu.org/pub/gnu/ccaudio/ccaudio2-(.*)\.tar\.gz        debian  svn-upgrade
